Bug 1586351 - Make /etc/sysconfig/network-scripts/ more clear in documentation
Summary: Make /etc/sysconfig/network-scripts/ more clear in documentation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 28
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Thomas Haller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-06 04:37 UTC by Scott Cohen
Modified: 2019-05-28 20:32 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:32:43 UTC


Attachments (Terms of Use)
[patch] man: improve explaining settings plugins in manual NetworkManager.conf (3.91 KB, patch)
2018-06-06 11:11 UTC, Thomas Haller
no flags Details | Diff

Description Scott Cohen 2018-06-06 04:37:22 UTC
Description of problem:
I have come to find that the path is not mentioned in neither the man page nor /etc/NetworkManager/NetworkManager.conf. The only places where this is mentioned within the /etc/NetworkManager directory are /etc/NetworkManager/dispatcher.d/11-dhclient and /etc/NetworkManager/dispatcher.d/10-ifcfg-rh-routes.sh and none of those are mentioned in neither the man page nor /etc/NetworkManager/NetworkManager.conf. I find that this directory is very important because it contains the named connection configuration file which allows NetworkManager function and allows easy user access to configure network settings without GUI. Is there a reason why mention of this directory has remained so scarce? 

Version-Release number of selected component (if applicable):
1.10.8-1.fc28

Comment 1 Thomas Haller 2018-06-06 08:01:32 UTC
`man NetworkManager.conf` says:

       plugins
           Lists system settings plugin names separated by ','. These plugins
           are used to read and write system-wide connections. 
           [...]
           (See below for the available plugins.)

and

PLUGINS
       [...]
       ifcfg-rh
           This plugin is used on the Fedora and Red Hat Enterprise Linux
           distributions to read and write configuration from the standard
           /etc/sysconfig/network-scripts/ifcfg-* files. It currently supports
           reading Ethernet, Wi-Fi, InfiniBand, VLAN, Bond, Bridge, and Team
           connections. Enabling ifcfg-rh implicitly enables ibft plugin, if
           it is available. This can be disabled by adding no-ibft.



Yes. That should be improved.



Btw, another "easy user access to configure network settings without GUI" is nmcli or nmtui. Where the files nor their format matter.

Comment 2 Thomas Haller 2018-06-06 11:11:48 UTC
Created attachment 1448289 [details]
[patch] man: improve explaining settings plugins in manual NetworkManager.conf

Comment 3 Beniamino Galvani 2018-06-07 08:16:30 UTC
LGTM

Comment 5 Ben Cotton 2019-05-02 21:38:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:32:43 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.